**0.5.0**
- Added new API for supporting unique Services and Characteristics:
  * `Characteristic.id`, `Service.id` fields which uniquely identify BLE objects.
  * All utility functions which don't require UUIDs as arguments are using
    internally `id` fields and therefore work faster and properly handle
    services/characteristics with same UUIDs. For example: `characteristic.read()`.
- New option to enable native modules' logging system via `bleManager.setLogLevel()` function.
- New function to read RSSI for connected devices: `bleManager.readRSSIForDevice()`.
- Updated RxBluetoothKit dependency to version 3.0.12
- Updated RxAndroidBle dependency to 1.2.2
- Added tests for JS API.
- Better Flow type checking and coverage.
- Documentation was moved to `./docs` folder and now is generated by documentation.js.
- Small fixes in examples.
- Updated installation steps.

**0.4.0**
- Device ID properties were renamed as they are not UUIDs on Android **(breaking change)**:
   * `Device.uuid` -> `Device.id`
   * `Service.deviceUUID` -> `Service.deviceID`, 
   * `Characteristic.deviceUUID` -> `Characteristic.deviceID`
- Changed signature of `onDeviceDisconnected`, as Device object is always available.
- Updated to Swift 3.0
- Updated to RxAndroidBle 1.1.0 and RxBluetoothKit 3.0.6
- Documentation was moved to `./doc` folder and now is generated by ESDoc.
- Fixed `state()` invalid return type. Implemented `state()` and `onStateChange()` for Android.
- Added optional parameter to `onStateChange()` function.
- Fixed `monitorCharacteristicForDevice()` for Android when characteristic accepts indications only.
- Updated `AndroidManifest.xml` configuration.